package com.example.ellegadodepintia.exploradoresDePintia.model.eventoFactory


import com.example.ellegadodepintia.R
import com.example.ellegadodepintia.exploradoresDePintia.model.Atributo
import com.example.ellegadodepintia.exploradoresDePintia.model.Opcion
import com.example.ellegadodepintia.exploradoresDePintia.model.efecto.EfectoLadron

class LadronFactory : EventoFactory {
    private val ladronesMap = mapOf(
        "Un ladrón de vasijas aparece y te desafía a un juego: ¡vence en el reto de cartas o se llevará tu tesoro!" to Pair(
            R.drawable.asi_exploradores_ladron, listOf(
                Opcion(
                    descripcion = "Jugar",
                    atributoRequerida = Atributo.Nula,
                    EfectoLadron()
                )
            )
        )
    )

    override fun generarDescripcion(): String {
        return ladronesMap.keys.random()
    }

    override fun generarOpciones(descripcion: String): MutableList<Opcion> {
        return ladronesMap[descripcion]?.second?.toMutableList()
            ?: mutableListOf()
    }

    override fun generarImagen(descripcion: String): Int {
        return ladronesMap[descripcion]?.first!!
    }

    override fun generarEvento(): EventoLadron {
        val descripcion = generarDescripcion()
        return EventoLadron(
            descripcion = descripcion,
            dificultad = 0,
            opciones = generarOpciones(descripcion),
            imagen = generarImagen(descripcion),
            resistenciaMax = (2..8).random(),
            finalizado = false
        )
    }
}